- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::MathTools::CExponentParameter Class Reference

Inheritance diagram for Exponent::MathTools::CExponentParameter:

List of all members.

## Detailed Description

Maps a 0 - 1.0 double to a new range with exponential mapping.

Date:
  13/11/2004

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CExponentParameter.hpp,v 1.3 2007/02/08 21:06:44 paul Exp

Definition at line 30 of file CExponentParameter.hpp.

## Public Member Functions

- CExponentParameter (const double min, const double max, const double value)
- CExponentParameter ()
- virtual void setRange (const double min, const double max)
- virtual void setValue (const double value)
- virtual ~CExponentParameter ()

## Protected Attributes

- double m_logData
- double m_logDifference
- double m_logMax
- double m_logMin
- double m_logOut

## Constructor & Destructor Documentation

Exponent::MathTools::CExponentParameter::CExponentParameter | ( |  | ) |

Construction

Exponent::MathTools::CExponentParameter::CExponentParameter | ( | const double | min,
|  | const double | max,
|  | const double | value |
| ) |  |  |

Constructor MIN MUST BE > 0.0

Parameters:

  | min | The min value - MUST BE > 0.0
  | max | The max value
  | value | The value to convert

virtual Exponent::MathTools::CExponentParameter::~CExponentParameter | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

virtual void Exponent::MathTools::CExponentParameter::setRange | ( | const double | min,
|  | const double | max |
| ) |  |  | `[virtual]`

Set the range to map to

Parameters:

  | min | The min value - MUST BE > 0.0
  | max | The max value

Reimplemented from Exponent::MathTools::CParameter.

virtual void Exponent::MathTools::CExponentParameter::setValue | ( | const double | value | ) | `[virtual]`

Set the value

Parameters:

  | value | The value to convert

Reimplemented from Exponent::MathTools::CParameter.

## Member Data Documentation

double Exponent::MathTools::CExponentParameter::m_logData`[protected]`

Log output

Definition at line 84 of file CExponentParameter.hpp.

double Exponent::MathTools::CExponentParameter::m_logDifference`[protected]`

log(max)-log(min)

Definition at line 85 of file CExponentParameter.hpp.

double Exponent::MathTools::CExponentParameter::m_logMax`[protected]`

log(max)

Definition at line 83 of file CExponentParameter.hpp.

double Exponent::MathTools::CExponentParameter::m_logMin`[protected]`

log(min)

Definition at line 82 of file CExponentParameter.hpp.

double Exponent::MathTools::CExponentParameter::m_logOut`[protected]`

Log output value

Definition at line 81 of file CExponentParameter.hpp.